
package org.mule.modules.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;
import org.mule.modules.GitHubModule;


/**
 * A <code>GitHubModuleCapabilitiesAdapter</code> is a wrapper around {@link GitHubModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class GitHubModuleCapabilitiesAdapter
    extends GitHubModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
